<?php

/**
 * Theme Customizer - Presets
 *
 * @package Selleradise
 */

namespace Selleradise_Lite\Api\Customizer;

use Kirki;
use Selleradise_Lite\Api\Customizer;

/**
 * Customizer class
 */
class Shop
{
    /**
     * register default hooks and actions for WordPress
     * @return
     */
    public function register()
    {

        if (!class_exists('Kirki') || !class_exists('WooCommerce')) {
            return;
        }

        if (!is_customize_preview()) {
            return;
        }

        Kirki::add_field('selleradise-lite', [
            'type' => 'radio',
            'settings' => 'filters_location',
            'label' => __('Shop Filter Location', 'selleradise-lite'),
            'description' => esc_html__('Where to show the filters for the product catalog?', 'selleradise-lite'),
            'section' => 'woocommerce_product_catalog',
            'default' => 'sidebar',
            'priority' => 30,
            'choices' => [
                'sidebar' => esc_html__('Right Sidebar', 'selleradise-lite'),
                'offscreen' => esc_html__('Off Screen', 'selleradise-lite'),
                'sidebar-left' => esc_html__('Left Sidebar', 'selleradise-lite'),
            ],
            'transport' => 'refresh',
        ]);

        

        Kirki::add_field('selleradise-lite', [
            'type' => 'multicheck',
            'settings' => 'shop_filters_to_show',
            'label' => __('Filters To Show', 'selleradise-lite'),
            'description' => esc_html__('Which filters should be visible in the sidebar?', 'selleradise-lite'),
            'section' => 'woocommerce_product_catalog',
            'default'  => [ 'price', 'categories', 'attributes', 'tags' ],
            'priority' => 50,
            'choices' => [
                'price' => esc_html__('Price', 'selleradise-lite'),
                'categories' => esc_html__('Categories', 'selleradise-lite'),
                'attributes' => esc_html__('Attributes', 'selleradise-lite'),
                'tags' => esc_html__('Tags', 'selleradise-lite'),
            ],
            'transport' => 'refresh',
        ]);

        Kirki::add_field('selleradise-lite', [
            'type' => 'checkbox',
            'settings' => 'shop_filters_submit_on_change',
            'label' => __('Submit Filters Form On Change', 'selleradise-lite'),
            'section' => 'woocommerce_product_catalog',
            'default' => false,
            'priority' => 60,
            'transport' => 'refresh',
        ]);

    }
}
